%------------------------------------------------------------------------------
% File     : LCL720^1 : TPTP v7.0.0. Bugfixed v5.0.0.
% Domain   : Logic Calculi (Modal logic)
% Problem  : Distribution axiom holds in monomodal logic K
% Version  : [Ben09] axioms.
% English  :

% Refs     : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : ML_K_ex2.p [Ben09]

% Status   : Theorem
% Rating   : 0.25 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v5.0.0
% Syntax   : Number of formulae    :   71 (   0 unit;  37 type;  33 defn)
%            Number of atoms       :  246 (  38 equality; 135 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :  141 (   5   ~;   5   |;   8   &; 115   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  180 ( 180   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   41 (  37   :;   0   =)
%            Number of variables   :   88 (   3 sgn;  30   !;   6   ?;  52   ^)
%                                         (  88   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
% Bugfixes : v5.0.0 - Bugfix to LCL013^0.ax
%------------------------------------------------------------------------------
include('Axioms/LCL013^0.ax').
include('Axioms/LCL013^1.ax').
%------------------------------------------------------------------------------
thf(phi,type,(
    phi: $i > $o )).

thf(psi,type,(
    psi: $i > $o )).

thf(conj,conjecture,
    ( mvalid @ ( mimplies @ ( mbox_k @ ( mimplies @ phi @ psi ) ) @ ( mimplies @ ( mbox_k @ phi ) @ ( mbox_k @ psi ) ) ) )).

%------------------------------------------------------------------------------
