%------------------------------------------------------------------------------
% File     : LCL881^1 : TPTP v7.0.0. Released v5.2.0.
% Domain   : Logic Calculi (Doxastic multimodal logic)
% Problem  : Axiom 5s is dependent
% Version  : [Ben11] axioms.
% English  :

% Refs     : [Ben11] Benzmueller (2011), Email to Geoff Sutcliffe
%          : [Ben11] Benzmueller (2011), Combining and Automating Classical
% Source   : [Ben11]
% Names    : Ex_7_6 [Ben11]

% Status   : Theorem
% Rating   : 0.75 v7.0.0, 0.86 v6.4.0, 0.83 v6.3.0, 0.80 v6.2.0, 0.86 v5.5.0, 0.83 v5.4.0, 0.80 v5.3.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :   85 (   0 unit;  35 type;  31 defn)
%            Number of atoms       :  531 (  36 equality; 184 variable)
%            Maximal formula depth :   17 (   7 average)
%            Number of connectives :  413 (   4   ~;   4   |;  16   &; 381   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  201 ( 201   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   39 (  35   :;   0   =)
%            Number of variables   :  111 (   3 sgn;  29   !;   6   ?;  76   ^)
%                                         ( 111   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
%----Include embedding of quantified multimodal logic in simple type theory
include('Axioms/LCL013^0.ax').
%------------------------------------------------------------------------------
thf(r1,type,(
    r1: $i > $i > $o )).

thf(r2,type,(
    r2: $i > $i > $o )).

thf(r3,type,(
    r3: $i > $i > $o )).

thf(axiom_D_for_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r1 @ Phi ) @ ( mdia @ r1 @ Phi ) ) ) )).

thf(axiom_D_for_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r2 @ Phi ) @ ( mdia @ r2 @ Phi ) ) ) )).

thf(axiom_D_for_r3,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mdia @ r3 @ Phi ) ) ) )).

thf(axiom_I_for_r2_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r2 @ Phi ) @ ( mbox @ r1 @ Phi ) ) ) )).

thf(axiom_I_for_r3_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mbox @ r1 @ Phi ) ) ) )).

thf(axiom_I_for_r3_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mbox @ r2 @ Phi ) ) ) )).

thf(axiom_4s_for_r1_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r1 @ Phi ) @ ( mbox @ r1 @ ( mbox @ r1 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r1_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r1 @ Phi ) @ ( mbox @ r2 @ ( mbox @ r1 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r1_r3,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r1 @ Phi ) @ ( mbox @ r3 @ ( mbox @ r1 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r2_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r2 @ Phi ) @ ( mbox @ r1 @ ( mbox @ r2 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r2_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r2 @ Phi ) @ ( mbox @ r2 @ ( mbox @ r2 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r2_r3,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r2 @ Phi ) @ ( mbox @ r3 @ ( mbox @ r2 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r3_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mbox @ r1 @ ( mbox @ r3 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r3_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mbox @ r2 @ ( mbox @ r3 @ Phi ) ) ) ) )).

thf(axiom_4s_for_r3_r3,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mbox @ r3 @ Phi ) @ ( mbox @ r3 @ ( mbox @ r3 @ Phi ) ) ) ) )).

thf(axiom_5_for_r1,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mnot @ ( mbox @ r1 @ Phi ) ) @ ( mbox @ r1 @ ( mnot @ ( mbox @ r1 @ Phi ) ) ) ) ) )).

thf(axiom_5_for_r2,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mnot @ ( mbox @ r2 @ Phi ) ) @ ( mbox @ r2 @ ( mnot @ ( mbox @ r2 @ Phi ) ) ) ) ) )).

thf(axiom_5_for_r3,axiom,
    ( mvalid
    @ ( mforall_prop
      @ ^ [Phi: $i > $o] :
          ( mimplies @ ( mnot @ ( mbox @ r3 @ Phi ) ) @ ( mbox @ r3 @ ( mnot @ ( mbox @ r3 @ Phi ) ) ) ) ) )).

thf(conj,conjecture,
    ( ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r1 @ Phi ) ) @ ( mbox @ r1 @ ( mnot @ ( mbox @ r1 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r1 @ Phi ) ) @ ( mbox @ r2 @ ( mnot @ ( mbox @ r1 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r1 @ Phi ) ) @ ( mbox @ r3 @ ( mnot @ ( mbox @ r1 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r2 @ Phi ) ) @ ( mbox @ r1 @ ( mnot @ ( mbox @ r2 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r2 @ Phi ) ) @ ( mbox @ r2 @ ( mnot @ ( mbox @ r2 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r2 @ Phi ) ) @ ( mbox @ r3 @ ( mnot @ ( mbox @ r2 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r3 @ Phi ) ) @ ( mbox @ r1 @ ( mnot @ ( mbox @ r3 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r3 @ Phi ) ) @ ( mbox @ r2 @ ( mnot @ ( mbox @ r3 @ Phi ) ) ) ) ) )
    & ( mvalid
      @ ( mforall_prop
        @ ^ [Phi: $i > $o] :
            ( mimplies @ ( mnot @ ( mbox @ r3 @ Phi ) ) @ ( mbox @ r3 @ ( mnot @ ( mbox @ r3 @ Phi ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
