%------------------------------------------------------------------------------
% File     : NUM665^1 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Number Theory
% Problem  : Landau theorem 16c
% Version  : Especial.
% English  : some (lambda u.diffprop x z u)

% Refs     : [Lan30] Landau (1930), Grundlagen der Analysis
%          : [vBJ79] van Benthem Jutting (1979), Checking Landau's "Grundla
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : satz16c [Lan30]

% Status   : Theorem
%          : Without extensionality : Theorem
% Rating   : 0.00 v6.2.0, 0.17 v6.1.0, 0.00 v5.3.0, 0.25 v5.2.0, 0.00 v5.0.0, 0.25 v4.1.0, 0.33 v4.0.1, 0.00 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :   13 (   0 unit;   8 type;   0 defn)
%            Number of atoms       :   32 (   0 equality;  14 variable)
%            Maximal formula depth :   11 (   4 average)
%            Number of connectives :   27 (   0   ~;   0   |;   0   &;  24   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    9 (   9   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   10 (   8   :;   0   =)
%            Number of variables   :    9 (   0 sgn;   5   !;   0   ?;   4   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(nat_type,type,(
    nat: $tType )).

thf(x,type,(
    x: nat )).

thf(y,type,(
    y: nat )).

thf(z,type,(
    z: nat )).

thf(moreis,type,(
    moreis: nat > nat > $o )).

thf(m,axiom,
    ( moreis @ x @ y )).

thf(some,type,(
    some: ( nat > $o ) > $o )).

thf(diffprop,type,(
    diffprop: nat > nat > nat > $o )).

thf(n,axiom,
    ( some
    @ ^ [Xu: nat] :
        ( diffprop @ y @ z @ Xu ) )).

thf(lessis,type,(
    lessis: nat > nat > $o )).

thf(satz16b,axiom,(
    ! [Xx: nat,Xy: nat,Xz: nat] :
      ( ( some
        @ ^ [Xv: nat] :
            ( diffprop @ Xy @ Xx @ Xv ) )
     => ( ( lessis @ Xy @ Xz )
       => ( some
          @ ^ [Xv: nat] :
              ( diffprop @ Xz @ Xx @ Xv ) ) ) ) )).

thf(satz13,axiom,(
    ! [Xx: nat,Xy: nat] :
      ( ( moreis @ Xx @ Xy )
     => ( lessis @ Xy @ Xx ) ) )).

thf(satz16c,conjecture,
    ( some
    @ ^ [Xu: nat] :
        ( diffprop @ x @ z @ Xu ) )).

%------------------------------------------------------------------------------
