%------------------------------------------------------------------------------
% File     : SEU924^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM134
% Version  : Especial.
% English  : Every positive iterate of a constant function is a constant 
%            function.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0145 [Bro09]
%          : THM134 [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.29 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v5.2.0, 0.20 v4.1.0, 0.00 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   12 (   1 equality;  11 variable)
%            Maximal formula depth :   11 (  11 average)
%            Number of connectives :    9 (   0   ~;   0   |;   1   &;   5   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :;   0   =)
%            Number of variables   :    7 (   2 sgn;   5   !;   0   ?;   2   ^)
%                                         (   7   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cTHM134_pme,conjecture,(
    ! [Xz: $i,Xg: $i > $i] :
      ( ! [Xp: ( $i > $i ) > $o] :
          ( ( ( Xp
              @ ^ [Xx: $i] : Xz )
            & ! [Xj: $i > $i] :
                ( ( Xp @ Xj )
               => ( Xp
                  @ ^ [Xx: $i] : Xz ) ) )
         => ( Xp @ Xg ) )
     => ! [Xx: $i] :
          ( ( Xg @ Xx )
          = Xz ) ) )).

%------------------------------------------------------------------------------
