%------------------------------------------------------------------------------
% File     : SEU938^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM196
% Version  : Especial.
% English  : It is not true that if [k COMPOSE j] is an iterate of j, provided
%            we assume extensionality and the existence of the described
%            function h (which can be proved if we have distinct elements a
%            and b and descriptions).

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0337 [Bro09]
%          : THM196 [TPS]

% Status   : Theorem
% Rating   : 1.00 v6.2.0, 0.86 v5.5.0, 0.83 v5.4.0, 0.80 v5.3.0, 1.00 v5.2.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   38 (   4 equality;  28 variable)
%            Maximal formula depth :   15 (   6 average)
%            Number of connectives :   31 (   2   ~;   0   |;   4   &;  18   @)
%                                         (   0 <=>;   7  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   11 (  11   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :   12 (   0 sgn;   9   !;   0   ?;   3   ^)
%                                         (  12   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a,type,(
    a: $i )).

thf(b,type,(
    b: $i )).

thf(h,type,(
    h: $i > $i )).

thf(cTHM196_pme,conjecture,
    ( ( ( ( h @ a )
        = a )
      & ( ( h @ b )
       != a )
      & ! [Xf: $i > $i,Xg: $i > $i] :
          ( ! [Xx: $i] :
              ( ( Xf @ Xx )
              = ( Xg @ Xx ) )
         => ( Xf = Xg ) ) )
   => ~ ( ! [Xj: $i > $i,Xk: $i > $i] :
            ( ! [Xp: ( $i > $i ) > $o] :
                ( ( ( Xp @ Xj )
                  & ! [Xj_6: $i > $i] :
                      ( ( Xp @ Xj_6 )
                     => ( Xp
                        @ ^ [Xx: $i] :
                            ( Xj @ ( Xj_6 @ Xx ) ) ) ) )
               => ( Xp
                  @ ^ [Xx: $i] :
                      ( Xk @ ( Xj @ Xx ) ) ) )
           => ! [Xp: ( $i > $i ) > $o] :
                ( ( ( Xp @ Xj )
                  & ! [Xj_7: $i > $i] :
                      ( ( Xp @ Xj_7 )
                     => ( Xp
                        @ ^ [Xx: $i] :
                            ( Xj @ ( Xj_7 @ Xx ) ) ) ) )
               => ( Xp @ Xk ) ) ) ) )).

%------------------------------------------------------------------------------
