%------------------------------------------------------------------------------
% File     : SEU941^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem FN-THM-1
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0422 [Bro09]
%          : FN-THM-1 [TPS]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.14 v6.1.0, 0.00 v6.0.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   26 (   6 equality;  20 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   13 (   0   ~;   0   |;   1   &;   8   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   3   :;   0   =)
%            Number of variables   :    8 (   0 sgn;   8   !;   0   ?;   0   ^)
%                                         (   8   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(c_type,type,(
    c: $tType )).

thf(cFN_THM_1_pme,conjecture,(
    ! [F: a > b,G: b > c] :
      ( ( ! [Xx: a,Xy: a] :
            ( ( ( F @ Xx )
              = ( F @ Xy ) )
           => ( Xx = Xy ) )
        & ! [Xx: b,Xy: b] :
            ( ( ( G @ Xx )
              = ( G @ Xy ) )
           => ( Xx = Xy ) ) )
     => ! [Xx: a,Xy: a] :
          ( ( ( G @ ( F @ Xx ) )
            = ( G @ ( F @ Xy ) ) )
         => ( Xx = Xy ) ) ) )).

%------------------------------------------------------------------------------
