%------------------------------------------------------------------------------
% File     : SEU955^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem from FUNCTION-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0864 [Bro09]

% Status   : Theorem
% Rating   : 1.00 v5.2.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   13 (   2 equality;  11 variable)
%            Maximal formula depth :    8 (   4 average)
%            Number of connectives :    8 (   0   ~;   1   |;   0   &;   5   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :;   0   =)
%            Number of variables   :    9 (   0 sgn;   3   !;   6   ?;   0   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(cTHM609_pme,conjecture,
    ( ? [Xc: ( a > $o ) > a] :
      ! [X: a > $o] :
        ( ? [Xt: a] :
            ( X @ Xt )
       => ( X @ ( Xc @ X ) ) )
   => ( ? [Xg: a > b] :
        ! [Y: b] :
        ? [X: a] :
          ( ( Xg @ X )
          = Y )
      | ? [Xf: b > a] :
        ! [Y: a] :
        ? [X: b] :
          ( ( Xf @ X )
          = Y ) ) )).

%------------------------------------------------------------------------------
