%------------------------------------------------------------------------------
% File     : SEV214^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem from S-T-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1094 [Bro09]

% Status   : Theorem
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.40 v5.3.0, 0.60 v5.2.0, 0.80 v5.1.0, 1.00 v5.0.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   0 unit;   3 type;   0 defn)
%            Number of atoms       :   56 (  12 equality;  30 variable)
%            Maximal formula depth :   13 (   5 average)
%            Number of connectives :   32 (   1   ~;   2   |;   6   &;  19   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :;   0   =)
%            Number of variables   :   18 (   0 sgn;  10   !;   2   ?;   6   ^)
%                                         (  18   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(iS_type,type,(
    iS: $tType )).

thf(c0,type,(
    c0: iS )).

thf(cP,type,(
    cP: iS > iS > iS )).

thf(cS_T_LR_LEM2_pme,conjecture,
    ( ( ! [Xx: iS,Xy: iS] :
          ( ( cP @ Xx @ Xy )
         != c0 )
      & ! [Xx: iS,Xy: iS,Xu: iS,Xv: iS] :
          ( ( ( cP @ Xx @ Xu )
            = ( cP @ Xy @ Xv ) )
         => ( ( Xx = Xy )
            & ( Xu = Xv ) ) )
      & ! [X: iS > $o] :
          ( ( ( X @ c0 )
            & ! [Xx: iS,Xy: iS] :
                ( ( ( X @ Xx )
                  & ( X @ Xy ) )
               => ( X @ ( cP @ Xx @ Xy ) ) ) )
         => ! [Xx: iS] :
              ( X @ Xx ) ) )
   => ( ( ( ^ [Xx: iS] :
              ( ( Xx = c0 )
              | ? [Xy: iS] :
                  ( c0
                  = ( cP @ Xx @ Xy ) ) ) )
        = ( ^ [Xx: iS,Xy: iS] : ( Xx = Xy )
          @ c0 ) )
      & ( ( ^ [Xy: iS] :
              ( ( Xy = c0 )
              | ? [Xx: iS] :
                  ( c0
                  = ( cP @ Xx @ Xy ) ) ) )
        = ( ^ [Xx: iS,Xy: iS] : ( Xx = Xy )
          @ c0 ) ) ) )).

%------------------------------------------------------------------------------
