%------------------------------------------------------------------------------
% File     : SEV430^1 : TPTP v7.0.0. Released v5.2.0.
% Domain   : Set Theory
% Problem  : Surjective functions f:I->I have right inverses
% Version  : Especial.
% English  :

% Refs     : [Bro11] Brown (2011), Email to Geoff Sutcliffe
% Source   : [Bro11]
% Names    : INVEXISTS2 [Bro11]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.43 v6.1.0, 0.14 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.60 v5.3.0, 0.40 v5.2.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :    9 (   2 equality;   5 variable)
%            Maximal formula depth :    6 (   5 average)
%            Number of connectives :    3 (   0   ~;   0   |;   0   &;   3   @)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   1   :;   0   =)
%            Number of variables   :    4 (   0 sgn;   2   !;   2   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(fsurj,axiom,(
    ! [Y: $i] :
    ? [X: $i] :
      ( ( f @ X )
      = Y ) )).

thf(invexists,conjecture,(
    ? [G: $i > $i] :
    ! [X: $i] :
      ( ( f @ ( G @ X ) )
      = X ) )).

%------------------------------------------------------------------------------
