%------------------------------------------------------------------------------
% File     : SYO024^1 : TPTP v7.0.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : De Morgan by connectives and Leibnitz
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 20d [BB05]

% Status   : Theorem
%          : Without Boolean extensionality : CounterSatisfiable
%          : Without functional extensionality : CounterSatisfiable
% Rating   : 0.12 v7.0.0, 0.14 v6.4.0, 0.17 v6.3.0, 0.20 v6.2.0, 0.29 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.3.0, 0.40 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :    3 (   0 unit;   1 type;   1 defn)
%            Number of atoms       :   10 (   1 equality;   6 variable)
%            Maximal formula depth :    7 (   7 average)
%            Number of connectives :    9 (   3   ~;   1   |;   0   &;   4   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :   13 (  13   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :;   0   =)
%            Number of variables   :    5 (   0 sgn;   1   !;   0   ?;   4   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU_NAR

% Comments : 
%------------------------------------------------------------------------------
thf(leibeq_decl,type,(
    leibeq: ( $o > $o > $o ) > ( $o > $o > $o ) > $o )).

thf(leibeq,definition,
    ( leibeq
    = ( ^ [X: $o > $o > $o,Y: $o > $o > $o] :
        ! [P: ( $o > $o > $o ) > $o] :
          ( ( P @ X )
         => ( P @ Y ) ) ) )).

thf(conj,conjecture,
    ( leibeq @ &
    @ ^ [X: $o,Y: $o] :
        ~ ( ~ ( X )
          | ~ ( Y ) ) )).

%------------------------------------------------------------------------------
