%------------------------------------------------------------------------------
% File     : SYO261^5 : TPTP v7.0.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem BLEDSOE-FENG-SV-I1
% Version  : Especial.
% English  :

% Refs     : [BF93]  Bledsoe & Feng (1993), SET-VAR
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0149 [Bro09]
%          : BLEDSOE-FENG-SV-I1 [TPS]
%          : Example I1 [BF93]

% Status   : Theorem
% Rating   : 0.00 v6.2.0, 0.33 v6.1.0, 0.00 v5.1.0, 0.25 v5.0.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :    5 (   0 unit;   4 type;   0 defn)
%            Number of atoms       :   18 (   0 equality;   8 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   17 (   0   ~;   0   |;   3   &;  10   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :;   0   =)
%            Number of variables   :    3 (   0 sgn;   3   !;   0   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ_NAR

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(n,type,(
    n: $i )).

thf(cP,type,(
    cP: $i > $o )).

thf(c1_plus,type,(
    c1_plus: $i > $i )).

thf(cO,type,(
    cO: $i )).

thf(cBLEDSOE_FENG_SV_I1,conjecture,
    ( ( ! [A: $i > $o] :
          ( ( ( A @ cO )
            & ! [Xx: $i] :
                ( ( A @ Xx )
               => ( A @ ( c1_plus @ Xx ) ) ) )
         => ( A @ n ) )
      & ( cP @ cO )
      & ! [Xx: $i] :
          ( ( cP @ Xx )
         => ( cP @ ( c1_plus @ Xx ) ) ) )
   => ( cP @ n ) )).

%------------------------------------------------------------------------------
